local addonName, addon = ...

addon.spells = {
		-- Death Knight
		[47476] = 60, 	-- Strangulate
		[108194] = 30, 	-- Asphyxiate
		[48792] = 180, 	-- Icebound Fortitude
		[47528] = 15, 	-- Mind Freeze
		[48707] = 45, 	-- Anti-Magic Shell
		[49576] = 25, 	-- Death Grip
		[51052] = 120,	-- Anti-Magic Zone
		[49028] = 90, 	-- Dancing Rune Weapon
		[49039] = 120,	-- Lichborne
		[55233] = 60,	-- Vampiric Blood
		[47482] = 30,	-- Leap (Ghoul)
		[47481] = 60,	-- Gnaw (Ghoul)
		[96268] = 30,	-- Death's Advance
		[48743] = 120,	-- Death Pact
		[47568] = 300,	-- Empower Rune Weapon
		[46584] = 120,	-- Raise Dead
		
		-- Paladin
		[96231] = 15,	-- Rebuke
		[54428] = 120,	-- Divine Plea
		[31884] = 120,	-- Avenging Wrath
		[853] = 60,		-- Hammer of Justice
		[1022] = 300,	-- Hand of Protection
		[642] = 300,	-- Divine Shield
		[1044] = 20,	-- Hand of Freedom
		[6940] = 120, 	-- Hand of Sacrifice
		[31821] = 180,	-- Devotion Aura
		[105593] = 30,	-- Fist of Justice
		[20066] = 15,	-- Repentance
		[114039] = 30,	-- Hand of Purity
		
		-- Warrior
		[23920] = 20,	-- Shield Reflect
		[6552] = 15,	-- Pummel
		[3411] = 30,	-- Intervene
		[1719] = 180,	-- Recklessness
		[18499] = 30,	-- Berserker Rage
		[871] = 300,	-- Shield Wall
		[676] = 60,		-- Disarm
		[6544] = 45,	-- Heroic Leap
		[102060] = 40,	-- Disrupting Shout
		[118000] = 60,	-- Dragon Roar
		[114029] = 30,	-- Safeguard
		[114028] = 60,	-- Mass Shield Reflect
		[46968] = 40,	-- Shockwave
		[107574] = 180, -- Avatar
		[5246] = 90,    -- Fear
		[97422] = 180,  -- Rallying Cry
		[12975] = 180,  -- Last Stand
		[46924] = 60,   -- Bladestorm
		[55694] = 60,   -- Enraged Regeneration
		[118038] = 120, -- Die by the Sword
		[64382] = 300,  -- Shattering Throw
		
		-- Druid
		[61336] = 180,	-- Survival Instincts
		[50334] = 180,	-- Berserk
		[16689] = 45,	-- Nature's Grasp
		[29166] = 180,	-- Innervate
		[5211] = 50,	-- Bash
		[80964] = 15,	-- Skull Bash BEAR
		[80965] = 15,	-- Skull Bash CAT
		[106839] = 15,	-- Skull Bash
		[99] = 30,		-- Disorienting Roar
		[132469] = 20,	-- Typhoon
		[102359] = 30,	-- Mass Entanglement
		[22812] = 60, 	-- Barkskin
		[102560] = 180,	-- Incarnation: Chosen of Elune
		[102543] = 180,	-- Incarnation: King of the Jungle
		[102558] = 180,	-- Incarnation: Son of Ursoc
		[33891] = 180,	-- Incarnation: Tree of Life

		
		-- Priest
		[64901] = 360,	-- Hymn of Hope
		[47585] = 75,	-- Dispersion
		[47788] = 150,	-- Guardian Spirit
		[33206] = 180,	-- Pain Suppression
		[15487] = 45,	-- Silence
		[8122] = 27,	-- Psychic Scream
		[89485] = 45,	-- Strength of Soul
		[64044] = 45,	-- Psychic Horror
		[108968] = 300, -- Void Shift
		[108921] = 45,  -- Psyfiend
		[108920] = 30,  -- Void Tendrils
		[6346] = 180,   -- Fear Ward
		[62618] = 180,  -- Power Word: Barrier
		[109964] = 60,  -- Spirit Shell
		[73325] = 90,   -- Leap of Faith
		[123040] = 60,  -- Mindbender
		[34433] = 180,  -- Shadowfiend
		[10060] = 120,  -- Power Infusion
		[15286] = 180,  -- Vampiric Embrace
		[47788] = 180,  -- Guardian Spirit
		[88625] = 30,   -- Holy Word: Chastise
		[112833] = 30,  -- Spectral Guise
		
		
		-- Warlock
		[19505] = 15,	-- Devour Magic (Felhunter)
		[115284] = 15,	-- Clone Magic (Observer)
		[19647] = 24,	-- Spell Lock (Felhunter)
		[103135] = 24,	-- Spell Lock (sacrifice)
		[115781] = 24,	-- Optic Blast
		[48020] = 25,	-- Demonic Circle: Teleport
		[115770] = 25,	-- Fellash
		[6360] = 25,	-- Whiplash
		[103135] = 24,	-- Sacced spell lock
		[108505] = 120, -- Archimonde's Vengeance
		[108359] = 120, -- Dark Regeneration
		[110913] = 180, -- Dark Bargain
		[113858] = 120,	-- Dark Soul: Instability
		[113860] = 120,	-- Dark Soul: Misery
		[113861] = 120,	-- Dark Soul: Knowledge
			
		-- Shaman
		[51514] = 45,	-- Hex
		[57994] = 12,	-- Wind Shear
		[8143] = 60,	-- Tremor Totem
		[30823] = 60,	-- Shamanistic Rage
		[16190] = 300,	-- Mana Tide Totem
		[8177] = 25,	-- Grounding Totem
		[108271] = 90,	-- Astral Shift
		[51490] = 45,	-- Thunderstorm
		
		-- Hunter
		[19574] = 60,	-- Bestial Wrath
		[19386] = 60,	-- Wyvern Sting
		[34490] = 24,	-- Silencing Shot
		[23989] = 300,	-- Readiness
		[50479] = 40,	-- Nether Shock (Nether Ray)
		[50245] = 40,	-- Pin (Crab)
		[1499] = 30,	-- Freezing Trap
		[19263] = 180,	-- Deterrence
		[19503] = 30, 	-- Scatter Shot
		[147362] = 24,	-- Counter Shot

		
		-- Mage
		[11958] = 180,	-- Cold Snap
		[44572] = 30,	-- Deep Freeze
		[12472] = 180,	-- Icy Veins
		[66] = 90,		-- Invisibility
		[45438] = 300,	-- Ice Block
		[122] = 25,		-- Frost Nova
		[2139] = 24,	-- Counterspell
		[1953] = 15,	-- Blink
		[102051] = 20,	-- Frostjaw
		[113724] = 45,	-- Ring of frost
		
		
		-- Rogue
		[1766] = 15,	-- Kick
		--[408] = 20,	-- Kidney Shot
		[36554] = 20,	-- Shadow Step
		[13750] = 180,	-- Adrenaline Rush
		[14185] = 300,	-- Preparation
		[31224] = 60,	-- Cloak of Shadows
		[1856] = 120,	-- Vanish
		[2983] = 60,	-- Sprint
		[5277] = 120,	-- Evasion
		[2094] = 120,	-- Blind
		[51722] = 60,	-- Dismantle
		[74001] = 120,	-- Combat Readiness
		[76577] = 180,	-- Smoke Bomb
		[121471] = 180,	-- Shadow Blades
		
		-- Monk
		[119996] = 180,	-- Transcendence: Transfer
		[115176] = 180,	-- Zen Meditation
		[122783] = 150,	-- Diffuse Magic
		[117368] = 60,	-- Grapple Weapon
		[119381] = 45,	-- Leg Sweep
		[116844] = 45,	-- Ring of Peace
		[116849] = 120,	-- Life Cocoon
		[116705] = 15,	-- Spear Hand Strike
		[115203] = 180,	-- Fortifying Brew
		[122470] = 150,	-- Touch of Karma
		[137562] = 120,	-- Nimble Brew
		[109132] = 20,	-- Roll
		
		-- Misc
		[42292] = 120,	-- PvP Trinket
		[20589] = 105,	-- Hy Ti Temka Artist
		[7744] = 120,   -- Will of the Forsaken
		[59752] = 120,  -- Every Man for Himself
		-- Major PvP trinkets effects
		-- [126690] = 60,  -- Call of Conquest
		-- [126683] = 60,	-- Call of Dominance
		-- [126679] = 60,	-- Call of Victory
		-- [126697] = 120, -- Tremendous Fortitude
}

addon.units = {
		["target"] = true,
		["focus"] = true,
		["targetpet"] = true,
		["focuspet"] = true,
		["arena1"] = true,
		["arena2"] = true,
		["arena3"] = true,
		["arena4"] = false,
		["arena5"] = false,
		["arena1pet"] = true,
		["arena2pet"] = true,
		["arena3pet"] = true,
		["arena4pet"] = false,
		["arena5pet"] = false,
		["party1"] = true,
		["party2"] = true,
		["party3"] = true,
		["party4"] = false,
		["party5"] = false,
		["party1pet"] = true,
		["party2pet"] = true,
		["party3pet"] = true,
		["party4pet"] = false,
		["party5pet"] = false,
}

addon.chargedSpells = {
		--[49576] = 2, 	-- Death Grip
		[1022] = 2,		-- Hand of Protection
		[1044] = 2,		-- Hand of Freedom
		--[36554] = 2,	-- Shadow Step  (Test)
		[109132] = 2,	-- Roll
		[6940] = 2, 	-- Hand of Sacrifice
		[19263] = 2,	-- Deterrence
		[113858] = 2,	-- Dark Soul: Instability
		[113860] = 2,	-- Dark Soul: Misery
		[113861] = 2,	-- Dark Soul: Knowledge
}

addon.preps = {
		[14185] = 300,	-- Preparation
		[11958] = 180,	-- Cold Snap
		[23989] = 300,	-- Readiness
}

addon.resets = {
		-- Preparation
		[1856] = 120,	-- Vanish
		[2983] = 60,	-- Sprint
		[5277] = 120,	-- Evasion
		[2094] = 120,	-- Blind
		[51722] = 60,	-- Dismantle
		-- Cold Snap
		[45438] = 300,	-- Ice Block
		[122] = 25,		-- Frost Nova
		-- Readiness
		[19574] = 60,	-- Bestial Wrath
		[19386] = 60,	-- Wyvern Sting
		[34490] = 24,	-- Silencing Shot
		[1499] = 30,	-- Freezing Trap
		[19263] = 120,	-- Deterrence
}